# coding: utf-8

import logging
import os
import re
import sys

from celery.__main__ import main as celery_main

from tionix_scheduler import settings
from tionix_scheduler.core.helpers import (get_formatted_version,
                                           set_os_scheduler_settings)

logger = logging.getLogger(__name__)


class Options(object):
    WORKER = 'worker'
    BEAT = 'beat'


def execute(option):
    if len(sys.argv) > 1 and sys.argv[1] == '--version':
        print get_formatted_version()
        return os.EX_OK

    sys.argv[0] = re.sub(r'(-script\.pyw|\.exe)?$', '', sys.argv[0])

    argv = sys.argv
    argv.insert(1, '-A')
    argv.insert(2, 'tionix_scheduler')
    argv.insert(3, option)

    if '-l' not in argv and '--loglevel' not in argv:
        argv.extend(('-l', settings.LOG_LEVEL))

    if option == Options.WORKER:
        set_os_scheduler_settings()
        # pylint: disable=unused-variable
        # add tasks for celery, do not remove!
        import tionix_scheduler.tasks_controller
    sys.argv = argv
    return celery_main()


def logged_execute(option):
    """
    Logs execute function.

     Note: We do logging here because Celery replace __main__ module
      with itself and it gets garbage-collected after execution,
      so we can't do anything there afterwards.
    """
    try:
        exit_code = execute(option)
    except Exception as err:
        logger.error("Unexpected error occurred: {0!s}".format(err))
        exit_code = os.EX_SOFTWARE

    return exit_code
