# coding: utf-8
from tionix_client.tests.functional.base import ServiceType

from tionix_scheduler.tests.functional.helpers import BaseSchedulerTestCase
from tionix_scheduler.core.i18n import ugettext as _


class OpenstackConnectionTest(BaseSchedulerTestCase):

    def tearDown(self):
        self.close_rabbit_connection()

    def test_connection_to_keystone(self):

        """Check connection to Keystone service.

        :lang:ru Проверка соединения со службой Keystone.
        """
        try:
            user_id = self.keystone_client.user_id
            self.keystone_client.projects.list(user=user_id)
        except Exception:
            self.fail_with_params(ServiceType.KEYSTONE,
                                  _(self.service_connection_msg))

    def test_connection_to_rabbit(self):
        """Check connection to RabbitMQ server.

        :lang:ru Проверка соединения сервером RabbitMQ.
        """
        self.assertTrue(self.rabbit_connection.connected,
                        _(self.service_connection_msg))
