# coding: utf-8

from tionix_client.tests.functional.base import BaseClientTestCase

from tionix_scheduler.settings import BROKER_URL
from tionix_scheduler.settings import KEYSTONE, RABBIT_QUEUES


class BaseSchedulerTestCase(BaseClientTestCase):

    auth_params = {
        'username': KEYSTONE['auth_user'],
        'password': KEYSTONE['auth_password'],
        'tenant': KEYSTONE['auth_tenant'],
        'user_domain_name': KEYSTONE['user_domain_name'],
        'project_domain_name': KEYSTONE['project_domain_name']
    }

    rabbit_params = {
        'broker_type': RABBIT_QUEUES['broker_type'],
        'username': RABBIT_QUEUES['username'],
        'password': RABBIT_QUEUES['password'],
        'host': RABBIT_QUEUES['host'],
        'port': RABBIT_QUEUES['port'],
        'vhost': RABBIT_QUEUES['vhost']
    }

    rabbit_broker_url = BROKER_URL

    def close_rabbit_connection(self):
        if self._rabbit_connection and self._rabbit_connection.connected:
            self._rabbit_connection.close()
