# coding: utf-8

import os
import unittest
import django

try:
    from tionix_client.functional import DetailedTestRunner
except ImportError:
    print 'tionix-client is not installed'
    DetailedTestRunner = None

from tionix_scheduler.core.helpers import set_os_scheduler_settings


set_os_scheduler_settings()


def func_tests(debug=False):
    try:
        django.setup()
    except Exception as err:
        print 'Error in config file, {0}'.format(err)
    else:
        suite = unittest.TestLoader().discover(
            start_dir=os.path.dirname(__file__),
            pattern='func_test_scheduler*')
        test_result = None
        if DetailedTestRunner is not None:
            test_result = DetailedTestRunner(debug=debug).run(suite).to_dict()
        return test_result

if __name__ == '__main__':
    func_tests()
