# -*- coding: utf-8 -*-

from __future__ import unicode_literals

from django.db import migrations


def migrate_subject_type(apps, schema_editor):
    timetable = apps.get_model('timetable', 'TimeTable')

    map_ = {
        'object_hypervisors': 'admin_hypervisors',
        'object_instance': 'admin_instances',
        'object_volume': 'project_volumes'
    }
    for k, v in map_.iteritems():
        timetable.objects.filter(subject_type=k).update(subject_type=v)


class Migration(migrations.Migration):

    dependencies = [
        ('timetable', '0006_timetable_subject_id'),
    ]

    operations = [
        migrations.RunPython(migrate_subject_type)
    ]
