# -*- coding: utf-8 -*-

from __future__ import unicode_literals

from django.db import migrations


def migrate_last_run_result(apps, schema_editor):

    timetable = apps.get_model('timetable', 'TimeTable')
    old_rows_value = 'unknown'

    for item in timetable.objects.all():
        if item.last_run_task_id:
            item.last_run_result = old_rows_value
            item.save()


class Migration(migrations.Migration):

    dependencies = [
        ('timetable', '0013_auto_20161118_1550'),
    ]

    operations = [
        migrations.RunPython(migrate_last_run_result),
    ]
