# -*- coding: utf-8 -*-

from __future__ import unicode_literals

from django.db import migrations


def migrate_node_tasks(apps, schema_editor):
    timetable = apps.get_model('timetable', 'TimeTable')

    mapping = {
        'startup_node': 'power_on_node',
        'shutdown_node': 'power_off_node',
    }
    for k, v in mapping.items():
        timetable.objects.filter(unique_name=k).update(unique_name=v)

    periodictask = apps.get_model('djcelery', 'PeriodicTask')

    base_module = 'tionix_node_control.node_tasks'
    mapping = {
        '%s.shutdown_node_task.shutdown_node' % base_module:
            '%s.power_off_node_task.power_off_node' % base_module,
        '%s.startup_node_task.startup_node' % base_module:
            '%s.power_on_node_task.power_on_node' % base_module,
    }

    for k, v in mapping.items():
        periodictask.objects.filter(task=k).update(task=v)


class Migration(migrations.Migration):

    dependencies = [
        ('timetable', '0018_timetable_alter_last_run_message_type'),
    ]

    operations = [
        migrations.RunPython(migrate_node_tasks)
    ]
